#include <bits/stdc++.h>
#define MAXN 100010
using namespace std;

int a[MAXN];

int main()
{
    int x1, y1, x2, y2;
    cin >> x1 >> y1 >> x2 >> y2;
    if(x1 == x2 || y1 == y2)
    {
        cout << 2 << endl;
        return 0;
    }
    int h = abs(x1 - x2);
    int v = abs(y1 - y2);
    if(h == v)
    {
        cout << 1 << endl;
    }
    else
    {
        cout << 0 << endl;
    }

    return 0;
}